package domaine;

public class VoitureAvecClimatisationAuto implements Voiture {
	private Voiture voiture;
	public VoitureAvecClimatisationAuto(Voiture v) {
		//le décorateur ne construit pas le décoré
		voiture = v;
	}
	public String marque() { return voiture.marque(); }
	public String modele() { return voiture.modele(); }
	public String carburant() { return voiture.carburant(); }
	public float consommation() { return voiture.consommation() * 1.05f; }
	public int prix() { return voiture.prix() + 1000; }
	public String toString() {
		return voiture.toString() + " avec air conditionné";
	}
	//le décorateur peut proposer des méthodes supplémentaires spécifiques
	public void habitacleA20degres() {
	}
}
